CVE-2014-1738

NameCVE-2014-1738
DescriptionThe raw_cmd_copyout function in drivers/block/floppy.c in the Linux kernel through 3.14.3 does not properly restrict access to certain pointers during processing of an FDRAWCMD ioctl call, which allows local users to obtain sensitive information from kernel heap memory by leveraging write access to a /dev/fd device.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-2926-1, DSA-2928-1
NVD severitylow

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)stretch4.9.228-1fixed
stretch (security)4.9.272-2fixed
buster4.19.208-1fixed
buster (security)4.19.194-3fixed
bullseye5.10.70-1fixed
bullseye (security)5.10.46-5fixed
bookworm5.14.9-2fixed
sid5.14.12-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcewheezy3.2.57-3+deb7u1DSA-2926-1
linuxsource(unstable)3.14.4-1
linux-2.6sourcesqueeze2.6.32-48squeeze6DSA-2928-1
linux-2.6source(unstable)(unfixed)

Notes

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=2145e15e0557a01b9195d1c7199a1b92cb9be81f

Search for package or bug name: Reporting problems